% MATLAB SIMULATION OF NSA FS-1016 CELP v3.2
% COPYRIGHT (C) 1995-99 ANDREAS SPANIAS AND TED PAINTER
%
% This Copyright applies only to this particular MATLAB implementation
% of the FS-1016 CELP coder.  The MATLAB software is intended only for educational
% purposes.  No other use is intended or authorized.  This is not a public
% domain program and distribution to individuals or networks is strictly
% prohibited.  Be aware that use of the standard in any form is goverened
% by rules of the US DoD.  Therefore patents and royalties may apply to
% authors, companies, or committees associated with this standard, FS-1016.  For
% questions regarding the MATLAB implementation please contact Andreas
% Spanias (480) 965-1837.  For questions on rules,
% royalties, or patents associated with the standard, please contact the DoD.
%
% ALL DERIVATIVE WORKS MUST INCLUDE THIS COPYRIGHT NOTICE.
%
% ******************************************************************
% CELPSTAT
%
% PORTED TO MATLAB FROM CELP 3.2a C RELEASE
% 8-3-94
%
% ******************************************************************
%
% DESCRIPTION
%
% Update frame status at user display
%
% VARIABLES
%
% GLOBALS
%   FrameCnt         -   Current frame number
%   guiState         -   State flag: Graphical or Status only output mode
%   pointer          -   Bitstream pointer
%
% ******************************************************************

% INCREMENT FRAME COUNT AND UPDATE SCREEN STATUS FOR STATUS MODE
% ALSO RESET BITSTREAM INDEX TO 1 (GOES TO 144/FRAME)
FrameCnt = FrameCnt + 1;
pointer = 1;

% UPDATE RUNTIME STATUS DISPLAY
if guiState == 0
    guistat;
end

